import { DataState, FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 11:17
 */
export interface MsK8sCluster {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 0:阿里云,1:华为云
    * @type { string }
    */
    cloudProvider?: string;
    /**
    * JSON配置
    * @type { string }
    */
    jsonConfig?: string;
    /**
    * 禁用标记
    * @type { boolean }
    */
    disabled?: boolean;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * 集群类型 0:托管版,1:serverless版
    * @type { string }
    */
    clusterType?: string;
}
export declare class MsK8sClusterMI {
    static get ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get CLOUD_PROVIDER(): FieldInfo;
    static get JSON_CONFIG(): FieldInfo;
    static get DISABLED(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get CLUSTER_TYPE(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 11:17
 */
export interface MsMonitorMetrics {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 单位名称
    * @type { string }
    */
    unitName?: string;
    /**
    * prometheus查询查询参数定义（JSON)
    * @type { string }
    */
    prometheusQueryParam?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
}
export declare class MsMonitorMetricsMI {
    static get ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get UNIT_NAME(): FieldInfo;
    static get PROMETHEUS_QUERY_PARAM(): FieldInfo;
    static get REMARK(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 11:17
 */
export interface MsMonitorMetricsTemplate {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * 代码
    * @type { string }
    */
    code?: string;
    /**
    * 名称
    * @type { string }
    */
    name?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 子表 MsMonitorMetricsTemplateItem
    * @type { MsMonitorMetricsTemplateItem[] }
    */
    msMonitorMetricsTemplateItem?: MsMonitorMetricsTemplateItem[];
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class MsMonitorMetricsTemplateMI {
    static get ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get CODE(): FieldInfo;
    static get NAME(): FieldInfo;
    static get REMARK(): FieldInfo;
}
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-25 11:17
 */
export interface MsMonitorMetricsTemplateItem {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * create_time
    * @type { Date }
    */
    createTime?: Date;
    /**
    * update_time
    * @type { Date }
    */
    updateTime?: Date;
    /**
    * state
    * @type { number }
    */
    state?: number;
    /**
    * 模板id
    * @type { string }
    */
    templateId?: string;
    /**
    * 指标id
    * @type { string }
    */
    metricsId?: string;
    /**
    * 上限阈值
    * @type { number }
    */
    upperLimit?: number;
    /**
    * 保持分钟数
    * @type { number }
    */
    holdMinutes?: number;
    /**
    * 下限阈值
    * @type { number }
    */
    lowerLimit?: number;
    /**
    * 冷却分钟数
    * @type { number }
    */
    coolingMinutes?: number;
    /**
    * extend field in MsMonitorMetrics
    * 代码
    * @type { string }
    */
    metricsCode?: string;
    /**
    * extend field in MsMonitorMetrics
    * 名称
    * @type { string }
    */
    metricsName?: string;
    /**
    * extend field in MsMonitorMetrics
    * 单位名称
    * @type { string }
    */
    metricsUnitName?: string;
    /**
    * extend field in MsMonitorMetrics
    * prometheus查询查询参数定义（JSON)
    * @type { string }
    */
    prometheusQueryParam?: string;
    /**
    * 数据状态
    * @type { DataState }
    */
    _state?: DataState;
}
export declare class MsMonitorMetricsTemplateItemMI {
    static get ID(): FieldInfo;
    static get CREATE_TIME(): FieldInfo;
    static get UPDATE_TIME(): FieldInfo;
    static get STATE(): FieldInfo;
    static get TEMPLATE_ID(): FieldInfo;
    static get METRICS_ID(): FieldInfo;
    static get UPPER_LIMIT(): FieldInfo;
    static get HOLD_MINUTES(): FieldInfo;
    static get LOWER_LIMIT(): FieldInfo;
    static get COOLING_MINUTES(): FieldInfo;
    static get METRICS_CODE(): FieldInfo;
    static get METRICS_NAME(): FieldInfo;
    static get METRICS_UNIT_NAME(): FieldInfo;
    static get PROMETHEUS_QUERY_PARAM(): FieldInfo;
}
